\connect - root
CREATE SEQUENCE "numerictb_serialf_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('"numerictb_serialf_seq"');

CREATE TABLE "numerictb" (
	"decimalf" numeric(30,6),
	"float4f" float4,
	"float8f" float8,
	"int2f" int2,
	"int4f" int4,
	"int8f" int8,
	"numericf" numeric(30,6),
	"serialf" int4 DEFAULT nextval('numerictb_serialf_seq'::text) NOT NULL
);

CREATE TABLE "moneytb" (
	"moneyf" money
);

CREATE TABLE "chartb" (
	"charf" character,
	"charvf" character(10),
	"textf" text,
	"varcharf" character varying(20)
);

CREATE TABLE "datetimetb" (
	"abstimef" abstime,
	"datef" date,
	"datetimef" timestamp,
	"intervalf" interval,
	"reltimef" reltime,
	"timef" time,
	"timespanf" interval,
	"timestampf" timestamp
);

CREATE TABLE "booleantb" (
	"booleanf" bool
);

CREATE TABLE "geotb" (
	"pointf" point,
	"linef" line,
	"lsegf" lseg,
	"boxf" box,
	"pathf" path,
	"polygonf" polygon,
	"circlef" circle
);

CREATE TABLE "person" (
	"firstname"  character varying(25),
	"lastname"   character varying(25),
	"email"      character varying(50),
	"homestreet" character varying(50),
	"homecity"   character varying(30),
	"homezip"    int2,
	"workcity"   character varying(30),
	"workzip"    int2
);

COPY "person" FROM stdin;
Csaba	Szabo	crow@nolimits.ro	Satu Mare	Satu Mare	3900	Satu Mare	3900
Remus	Pereni	remus@nolimits.ro	Satu Mare	Satu Mare	3900	Satu Mare	3900
\.

COPY "numerictb" FROM stdin;
45346346346346346.000000	4.11111e+07	3545435435435	32523	565765766	5436456456457547565	56546456546456456.000000	1000000000
1234552222.676700	23224.3	12345678.1874322	32432	325435436	9219999999999999999	14536346344643643.000000	2139999999
\.

COPY "moneytb" FROM stdin;
$20,472,434.80
$15,123,783.40
$14,308,655.00
\.

COPY "chartb" FROM stdin;
A	charField1	It's a text field.	This is a test.
B	charField2	Another text field.	Is another test.
C	charField3	The test text field.	The varchar test.
D	charField4	Last text field.	The last test.
\.

COPY "datetimetb" FROM stdin;
2002-06-10 13:30:10+03	2002-10-12	2002-07-11 16:31:00+03	00:00:30	12:30:20	15:21:00	15:30:00	2002-05-29 19:25:56+03
2001-12-24 17:50:00+02	2001-06-30	2000-07-04 03:01:00+03	00:25:50	12:40:09	12:40:01	15:43:11	2001-07-23 19:45:12+03
\.

COPY "booleantb" FROM stdin;
t
f
t
\.

COPY "geotb" FROM stdin;
(15,34)	\N	[(15,15),(20,20)]	(15,35),(10,10)	((3,3),(3,6),(4,6),(5,10))	((3,3),(3,6),(6,6),(6,3))	<(5,5),10>
(10,10)	\N	[(10,10),(15,15)]	(20,20),(10,10)	((5,5),(5,10),(10,15))	((5,5),(5,9),(9,9),(9,5))	<(10,10),25>
\.

CREATE UNIQUE INDEX "numerictb_serialf_key" on "numerictb" using btree ( "serialf" "int4_ops" );
