<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet   
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
  version="1.0">

<xsl:output encoding="iso-8859-1"  
  doctype-public='-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd'  
  method="html"/>  

<xsl:template match="index">    
<html>
  <head>
    <title><xsl:text>The Index of all concepts/methods/attributes and elements</xsl:text> </title>
    <link href="res/mref.css" rel="StyleSheet" TITLE="Default" MEDIA="screen"/>
  </head>      
  <body bgcolor="#FFFFFF">        
  <table border="0" width="100%" cellpadding="0" cellspacing="0" bgcolor="#eceef9">
    <tr>
      <td bgcolor="#eceef9" align="right">
        <a href="reference/index.html">mn8 Language Reference</a>
        <xsl:text disable-output-escaping="yes">&amp;nbsp;|&amp;nbsp;</xsl:text>
        <a href="../index_all.html">Index</a>
        <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
      </td>
    </tr>
    <tr>
      <td bgcolor="#eceef9"><h2><a name="top"><xsl:text>Index</xsl:text> </a></h2>
    </td>
    </tr>
    <tr>
      <td>
        <table width="95%" border="0" align="center">
          <tr>
            <xsl:call-template name="putCharHeader"/>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td><img src="images/bottom.gif" width="100%" height="10" alt=""/></td>
    </tr>
  </table>
  <xsl:apply-templates/>      
</body>    
</html>  
</xsl:template>  


<xsl:template name="putCharHeader">
  <xsl:for-each select="//character">
    <td align="center">
      <a href="#{@symbol}"><xsl:value-of select="@symbol"/></a>
    </td>
  </xsl:for-each>
</xsl:template>


<xsl:template match="character">
  <h3><a name="{@symbol}"> <xsl:value-of select="@symbol"/></a></h3>
  <table width="95%" border="0" align="center">
    <tr>
      <td>
        <xsl:apply-templates/>
        <xsl:call-template name="totop"/>
      </td>
    </tr>
  </table>
</xsl:template>


<xsl:template match="item">
  <xsl:choose>
    <xsl:when test="@type = 'concept'">
      <b><a href="concepts/{@conceptDocName}"><xsl:value-of select="@name"/></a></b><xsl:text> - is a Concept</xsl:text>
    </xsl:when>

    <xsl:when test="@type = 'attribute'">
      <b><a href="concepts/{@conceptDocName}#{@name}"><xsl:value-of select="@name"/></a></b><xsl:text> - is an </xsl:text>
      <xsl:if test="@isStatic = 'true'">
        <xsl:text>static </xsl:text>
      </xsl:if>
      <xsl:text> attribute on concept </xsl:text> 
      <a href="concepts/{@conceptDocName}"><xsl:value-of select="@concept"/></a>
    </xsl:when>

    <xsl:when test="@type = 'element'">
      <b><a href="concepts/{@conceptDocName}#{@name}"><xsl:value-of select="@name"/></a></b><xsl:text> - is an </xsl:text>
      <xsl:if test="@isStatic = 'true'">
        <xsl:text>static </xsl:text>
      </xsl:if>
      <xsl:text> element on concept </xsl:text> 
      <a href="concepts/{@conceptDocName}"><xsl:value-of select="@concept"/></a>
    </xsl:when>

    <xsl:when test="@type = 'method'">
      <b>
        <a>
          <xsl:attribute name="href">
            <xsl:text>concepts/</xsl:text>
            <xsl:value-of select="@conceptDocName"/>
            <xsl:text>#</xsl:text>
            <xsl:call-template name="computeHref"/>
          </xsl:attribute>
          <xsl:value-of select="@name"/>
        </a>
      </b>

      <xsl:if test="parameter">
        <xsl:text> (</xsl:text><xsl:apply-templates select="parameter"/><xsl:text>) </xsl:text>
      </xsl:if>
      <xsl:text> - is a </xsl:text>
      <xsl:if test="@isStatic = 'true'">
        <xsl:text>static </xsl:text>
      </xsl:if>
      <xsl:text> method in concept </xsl:text> 
      <a href="concepts/{@conceptDocName}"><xsl:value-of select="@concept"/></a>
    </xsl:when>
  </xsl:choose>
  <br/>
</xsl:template>


<xsl:template name="computeHref">
  <xsl:value-of select="@name"/>
  <xsl:text>:</xsl:text>
  <xsl:apply-templates select="parameter" mode="computeHrefParam"/>
</xsl:template>


<xsl:template match="parameter" mode="computeHrefParam">
  <xsl:if test="position() != 1 ">
    <xsl:text>,</xsl:text>
  </xsl:if>
  <xsl:value-of select="@type"/>
</xsl:template>


<xsl:template match="parameter">    
<a href="concepts/{@type}.html"><xsl:value-of select="@type"/></a>    
  <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       
  <tt><xsl:value-of select="@name"/></tt>
  <xsl:if test="not(position() = last())"><xsl:text>, </xsl:text></xsl:if>  
</xsl:template>


<xsl:template name="totop">
  <div align="right">
    <a href="#top" title="to top">
      <img src="images/totop.gif" alt="top" border="0" />
    </a>  
  </div>
</xsl:template>

</xsl:stylesheet>
