<?xml version="1.0"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	
<xsl:output 
  encoding="iso-8859-1"
  doctype-public='-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd'
  method="html"/>
  
<xsl:template match="rss">
	<h2><xsl:value-of select="channel/title"/></h2>
	<b><xsl:text disable-output-escaping="yes">Link:&amp;nbsp;</xsl:text></b><i><xsl:value-of select="channel/link"/></i><br/>
	<b><xsl:text disable-output-escaping="yes">Description:&amp;nbsp;</xsl:text></b><i><xsl:value-of select="channel/description"/></i>
	<hr/>
	<xsl:apply-templates select="//item"/>		    	
</xsl:template>


<xsl:template match="*[local-name()='RDF']">
	<xsl:apply-templates/>		    	
</xsl:template>

<xsl:template match="*[local-name()='channel']">
	<h2><xsl:value-of select="*[local-name()='title']"/></h2>
	<b><xsl:text disable-output-escaping="yes">Link:&amp;nbsp;</xsl:text></b><i><xsl:value-of select="*[local-name()='link']"/></i><br/>
	<b><xsl:text disable-output-escaping="yes">Description:&amp;nbsp;</xsl:text></b><i><xsl:value-of select="*[local-name()='description']"/></i>
	<hr/>			    	
</xsl:template>

<xsl:template  match="*|@*|node()"/>

<xsl:template match="*[local-name()='item']">	
	
	<xsl:if test="*[local-name()='title']">
		<h4><xsl:value-of select="*[local-name()='title']"/></h4>
	</xsl:if>

	<xsl:choose>
		<xsl:when test="*[local-name()='encoded']">
			<xsl:apply-templates select="*[local-name()='encoded']"/>
		</xsl:when>	  
		<xsl:otherwise>
			<xsl:apply-templates select="*[local-name()='description']"/>
		</xsl:otherwise>
	</xsl:choose>		
		
	<xsl:if test="*[local-name()='link']">
		<br/>
		<b><xsl:text disable-output-escaping="yes">Link:&amp;nbsp;</xsl:text></b><i><xsl:value-of select="*[local-name()='link']"/></i>
	</xsl:if>
	<hr size="1"/>
</xsl:template>	

<xsl:template match="*[local-name()='description']">
	<xsl:value-of disable-output-escaping="yes" select="."/>
</xsl:template>

<xsl:template match="*[local-name()='encoded']">
	<xsl:value-of disable-output-escaping="yes" select="."/>
</xsl:template>

</xsl:stylesheet>

